clear;

%Establishing arduino connection
a=arduino('/dev/ttyUSB0','nano'); %First argument refers to port (Linux - /dev/ttyXXXx or Windows - COMx)
%Second argument refers to board. 

dig_pin = 'D12';
anlg_pin = 'A1';

values=[0 0]; %matrix to store input values. First array stores digital and second array stores analog

while(1)
	dig= readDigitalPin(a,dig_pin); %Read digital pin value
	anlg= readVoltage(a,anlg_pin); %Read the voltage in analog pin

	fprintf(['Digital i/p val:',num2str(dig),'\tAnalog i/p val:',num2str(anlg),'\n']); %Print the values dynamically
	pause(0.7);

	%Update the values in the values matrix
	values(end+1,1)=dig;
	values(end+1,2)=anlg;

	%Plot
	subplot(2,1,1);
	plot(values(:,1));title('Digital values');ylim([-0.5,1.5]);
	subplot(2,1,2);
	plot(values(:,2));title('Analog values');ylim([-0.5,5.5]);
end